
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>HTML 4.0 语法表单标签 / iVAN</title>

    <meta name="description" content="HTML 4.0 语法表单标签   [表单的用途] 对于一般的网页设计初学者而言,表单功能其实并不常用,因为表单通常必须配合着CGI.JAVA Script程式或是ASP程式来运作,不然表单单独存在的意义并不大.不过,一旦有机会将表单运用到网页中时,您的网页将摆脱单向呈现,而开始迈入和使用者互动的阶段喔! 本单元纯粹以介绍各式表单为主,至于一些CGI或ASP观念在此我就不提出了,因为提供零碎的观念,倒不如去看看专门介绍CGI的书籍来的妥当. [各种输入类型] 文字输入列:每个表单之所以会有不同的类型,原因就在于TYPE=&qu ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">HTML 4.0 语法表单标签</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 　　【表单的用途】</p>
<p>　　对于一般的网页设计初学者而言，表单功能其实并不常用，因为表单通常必须配合着CGI、JAVA  Script程式或是ASP程式来运作，不然表单单独存在的意义并不大。不过，一旦有机会将表单运用到网页中时，您的网页将摆脱单向呈现，而开始迈入和使用者互动的阶段喔!</p>
<p>　　本单元纯粹以介绍各式表单为主，至于一些CGI或ASP观念在此我就不提出了，因为提供零碎的观念，倒不如去看看专门介绍CGI的书籍来的妥当。</p>
<p>　　【各种输入类型】</p>
<p>　　文字输入列：每个表单之所以会有不同的类型，原因就在于TYPE="表单类型"设定的不同而已，我们就先来看看第一个类型：文字输入列。文字输入列的形态就是TYPE="TEXT，其使用方法如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vM2M3M2E4YjE5MTcwYzM0OTU3ZDhhMjhhNzQ5YjljNmUuanBn.jpg"><br />　　其有下列可设定之属性：</p>
<p>　　NAME="名称"，是设定此一栏位的名称，程式中常会用到。</p>
<p>　　SIZE="数值"，是设定此一栏位显现的宽度。</p>
<p>　　VALUE="预设内容"，是设定此一栏位的预设内容。</p>
<p>　　ALIGN="对齐方式"，是设定此一栏位的对齐方式，其值有：TOP(向上对齐)、MIDDLE(向中对齐)、BOTTOM(向下对齐)、RIGHT(向右对齐)、LEFT(向左对齐)、TEXTTOP(向文字顶部对齐)、BASELINE(向文字底部对齐)、ABSMIDDLE(绝对置中)、ABSBOTTOM(绝对置下)等。</p>
<p>　　MAXLENGTH="数值"，是设定此一栏位可设定输入的最大长度。</p>
<p>　　单选核取表单：利用TYPE="RADIO"就会产生单选核取表单，单选核取表单通常是好几个选项一起摆出来供使用者点选，一次只能从中选一个，故为单选核取表单。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vZjViODRmNzJmNDIxMWZmZWJkMzQ5MTIwZDdkNDlmZjcuanBn.jpg"><br />　　其有下列可设定之属性：</p>
<p>　　NAME="名称"，是设定此一栏位的名称，程式中常会用到。</p>
<p>　　VALUE="内容"，是设定此一栏位的内容、值或是意义。</p>
<p>　　ALIGN="对齐方式"，是设定此一栏位的对齐方式，其值有：TOP(向上对齐)、MIDDLE(向中对齐)、BOTTOM(向下对齐)、RIGHT(向右对齐)、LEFT(向左对齐)、TEXTTOP(向文字顶部对齐)、BASELINE(向文字底部对齐)、ABSMIDDLE(绝对置中)、ABSBOTTOM(绝对置下)等。</p>
<p>　　CHECKED，是设定此一栏位为预设选取值。</p>
<p>　　复选核取表单：利用TYPE=" CHECKBOX  "就会产生复选核取表单，复选核取表单通常是好几个选项一起摆出来供使用者点选，一次可以同时选好几个，故为复选核取表单。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vNWE5ZjdlZDRjYjYwNDYwMzgxZDgyMGY0NzVlZmU4MWQuanBn.jpg"><br />　　其有下列可设定之属性：</p>
<p>　　NAME="名称"，是设定此一栏位的名称，程式中常会用到。</p>
<p>　　VALUE="内容"，是设定此一栏位的内容、值或是意义。</p>
<p>　　ALIGN="对齐方式"，是设定此一栏位的对齐方式，其值有：TOP(向上对齐)、MIDDLE(向中对齐)、BOTTOM(向下对齐)、RIGHT(向右对齐)、LEFT(向左对齐)、TEXTTOP(向文字顶部对齐)、BASELINE(向文字底部对齐)、ABSMIDDLE(绝对置中)、ABSBOTTOM(绝对置下)等。</p>
<p>　　CHECKED，是设定此一栏位为预设选取值。</p>
<p>　　密码表单：利用TYPE=" PASSWORD  "就会产生一个密码表单，密码表单和文字输入表单长得几乎一样，差别就在于密码表单在输入时全部会以星号来取代输入的文字，以防他人偷窥。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vNDk3MDk3NjNjZTQ2Y2M3N2MxMmVhZjliZmExNDY0NjQuanBn.jpg"><br />　　其有下列可设定之属性：</p>
<p>　　NAME="名称"，是设定此一栏位的名称，程式中常会用到。</p>
<p>　　SIZE="数值"，是设定此一栏位显现的宽度。</p>
<p>　　VALUE="预设内容"，是设定此一栏位的预设内容，不过呈现出来仍是星号。</p>
<p>　　ALIGN="对齐方式"，是设定此一栏位的对齐方式，其值有：TOP(向上对齐)、MIDDLE(向中对齐)、BOTTOM(向下对齐)、RIGHT(向右对齐)、LEFT(向左对齐)、TEXTTOP(向文字顶部对齐)、BASELINE(向文字底部对齐)、ABSMIDDLE(绝对置中)、ABSBOTTOM(绝对置下)等。</p>
<p>　　MAXLENGTH="数值"，是设定此一栏位可设定输入的最大长度。</p>
<p>　　送出按钮：通常我们表单填完之后，都会有一个送出按钮以及清除重写的按钮，分别是利用TYPE=" SUBMIT "及TYPE=" RESET  "来产生，相当的简单易用。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vOTk0NjFiOGRmOWI0NTljNjJhYmU0YTM4MzNkMmQ3ZDMuanBn.jpg"><br />　　其有下列可设定之属性：</p>
<p>　　NAME="名称"，是设定此一按钮的名称。</p>
<p>　　VALUE="文字"，是设定此一按钮上要呈现的文字，若是没有设定，浏览器也会自动替您加上“送出查询”、“重设”等字样。</p>
<p>　　ALIGN="对齐方式"，是设定此一栏位的对齐方式，其值有：TOP(向上对齐)、MIDDLE(向中对齐)、BOTTOM(向下对齐)、RIGHT(向右对齐)、LEFT(向左对齐)、TEXTTOP(向文字顶部对齐)、BASELINE(向文字底部对齐)、ABSMIDDLE(绝对置中)、ABSBOTTOM(绝对置下)等。</p>
<p>　　按钮元件：表单中或是JAVA SCRIPT常会用到按钮来作一些效果，因此，我们可以利用TYPE=" BUTTON "来产生一个按钮，相当简单。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vNTNhNjYzNWRlMjkyYzNkODM4NzQxYmVkNDM5NGVmMzQuanBn.jpg"><br />　　其有下列可设定之属性：</p>
<p>　　NAME="名称"，是设定此一按钮的名称。</p>
<p>　　VALUE="文字"，是设定此一按钮上要呈现的文字。</p>
<p>　　ALIGN="对齐方式"，是设定此一栏位的对齐方式，其值有：TOP(向上对齐)、MIDDLE(向中对齐)、BOTTOM(向下对齐)、RIGHT(向右对齐)、LEFT(向左对齐)、TEXTTOP(向文字顶部对齐)、BASELINE(向文字底部对齐)、ABSMIDDLE(绝对置中)、ABSBOTTOM(绝对置下)等。</p>
<p>　　隐藏栏位：表单中有时有些东西因为某些因素，不想让使用者看到，但因程式需要却又不得不存在，此时，我们就可以利用TYPE=" HIDDEN  "来产生一个隐藏的栏位。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjdhNjI3OTM5ZjJlOThhZGMxZGQ3YmYzZWU5YWM4NDkuanBn.jpg"><br />　　其有下列可设定之属性：</p>
<p>　　NAME="名称"，是设定此一栏位的名称。</p>
<p>　　VALUE="文字"，是设定此一栏位的值、文字或意义。</p>
<p>　　【大量文字输入元件】</p>
<p>　　有时候我们会希望让使用者输入比较大量的文字，此时，文字输入列就显得不敷使用，因此我们就可以利用来产生一个可以输入大量文字的元件，夹在两个标签中的文字会出现在框框中，可作为预设文字。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vZDRlZTVhOWEyNTE0NDkzMjI3YzljZDc0YWJhYjFhYjcuanBn.jpg"><br />　　其有下列可设定之属性：</p>
<p>　　NAME="名称"，是设定此一栏位的名称。</p>
<p>　　WRAP="设定值"，是设定此一栏位的换行模式。设定值有三种：OFF(输入文字不会自动换行)、VIRTUAL(输入文字在荧幕上会自动换行，不过若是使用者没有自行按下ENTER换行，送出资料时，也视为没有换行)、PHYSICAL(输入文字会自动换行，送出资料时，会将荧幕上的自动换行，视为换行效果送出)。</p>
<p>　　COLS="数值"，是设定此一栏位的行数(横向字数)。</p>
<p>　　ROWS="数值"，是设定此一栏位的列数(垂直字数)。</p>
<p>　　【下拉式选单】</p>
<p>　　下拉式选单令整个网页看起来有很专业的感觉，我们只要利用便可以产生一个下拉式选单，另外，还需要配合标签来产生选项，这样才算完整喔!  　　其有下列可设定之属性：　　SIZE="数值"，是设定此一栏位的大小，预设值为1，若是您的选项有四个，然后您将SIZE设成4，那么，下拉式选单便会变成选项方块，将四个选项一起呈现在方块中。　　MULTIPLE，是设定此一栏位为复选，可以一次选好几个选项。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 10:54:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e5%bc%8f/" title="方式">方式</a>, <a href="https://www.iamivan.net/tag/%e8%be%93%e5%85%a5/" title="输入">输入</a>, <a href="https://www.iamivan.net/tag/%e5%90%8d%e7%a7%b0/" title="名称">名称</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e5%ad%97/" title="文字">文字</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e5%8d%95/" title="表单">表单</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ae%b9%e5%af%b9%e9%bd%90/" title="内容对齐">内容对齐</a>, <a href="https://www.iamivan.net/tag/%e7%bb%9d%e5%af%b9/" title="绝对">绝对</a>, <a href="https://www.iamivan.net/tag/%e9%a2%84%e8%ae%be%e5%af%86%e7%a0%81/" title="预设密码">预设密码</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e5%ad%97%e5%90%91%e5%b7%a6/" title="文字向左">文字向左</a>, <a href="https://www.iamivan.net/tag/%e5%ba%95%e9%83%a8%e5%af%b9%e9%bd%90/" title="底部对齐">底部对齐</a>, <a href="https://www.iamivan.net/tag/%e6%a0%8f%e4%bd%8d/" title="栏位">栏位</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e5%8d%95%e5%90%8d%e7%a7%b0/" title="表单名称">表单名称</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>HTML 4.0 语法表单标签的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOwjV3z.html" rel="bookmark">使用Spring MVC表单标签</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述 在低版本的Spring中,你必须通过JSTL或&lt;spring:bind&gt;将表单对象绑定到HTML表单页面中,对于习惯了Struts表单标签的开发者来说,Spring MVC的这一表现确实让人失望.不过这一情况已经一去不复返了,从Spring 2.0开始,Spring MVC开始全面支持表单标签,通过Spring MVC表单标签,我们可以很容易地将控制器相关的表单对象绑定到HTML表单元素中. 在上一篇文章&lt;Spring MVC的表单控制器&gt;中(http://tech.it16			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKAQrz.html" rel="bookmark">Struts2框架，s&colon;form表单标签使用theme&equals;&amp;amp&semi;amp&semi;quot&semi;ajax&amp;amp&semi;amp&semi;quot&semi;报错</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Struts2框架,s:form表单标签使用theme=&quot;ajax&quot;报错 已经导入struts2-dojo-plugin-2.3.24.1.jar,jsp页面如下: &lt;%@ page language=&quot;java&quot; contentType=&quot;text/html; charset=UTF-8&quot; pageEncoding=&quot;UTF-8&quot;%&gt; &lt;!DOCTYPE html PUBLIC &quot;-//			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn4KmAb.html" rel="bookmark">JSP实现用于自动生成表单标签html代码的自定义表单标签&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JSP实现用于自动生成表单标签html代码的自定义表单标签.分享给大家供大家参考.具体如下: 这个是自己写的一个简单的JSP表单标签,用于自动生成checkbox,select,radio等标签,传入菜单集合生成html代码,自动选中指定值,用于java web项目的jsp页面. 1. Servlet部分代码: Map&lt;String, String&gt; map = new HashMap&lt;String, String&gt;(); map.put(&quot;2&quot;,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOw8Qqz.html" rel="bookmark">JSP表单标签，用于自动生成表单标签html代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这个是自己写的一个简单的JSP表单标签,用于自动生成checkbox,select,radio等标签,传入菜单集合生成html代码,自动选中指定值,用于java web项目的jsp页面. Servlet部分代码 JSP代码 生成的html代码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRyeDkb.html" rel="bookmark">XHTML表单标签</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 表单标签&lt;form&gt; 表单以一个&lt;form&gt;标签开始.用户注册网站会员,投票等等都需要表单来实现.当然了,仅仅依靠XHTML是无法处理这些表单的,如果你想处理这些表但你需要使用一些类似PHP和ASP的网页后台技术.(顺便说一下,小菜鸟自己的后台目前还很菜.) 表单内的&lt;input&gt; 下面我们来介绍两个常见的表单组成元素: 1.文本框 &lt;form&gt;姓名:&lt;inputtype=&quot;text&quot;name=&quot;user&quot;/&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW2Lg7b.html" rel="bookmark">spring封装表单标签用意</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 spring封装表单标签用意 现在在用springmvc ,看了表单标签库, spring 为什么要封装表单标签? 解决方案 便于代码的重用. 解决方案二: 为了更好的支持国际化和在后台使用注解对表单字段的验证			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE4XKnz.html" rel="bookmark">有关struts2中的表单标签回显查询到对象的某个属性值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 有关struts2中的表单标签回显查询到对象的某个属性值 action中的方法: public String userEdit() { elecUser=elecUserService.findById(elecUser.getUserId()); // ActionContext.getContext().getValueStack().pop(); ActionContext.getContext().getValueStack().push(elecUser); return &quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6k1Jp.html" rel="bookmark">学习网页制作基础入门教程&lpar;10&rpar;表单标签</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				教程|入门教程|网页 各种输入类型 1. 文字输入列:每个表单之所以会有不同的类型,原因就在于TYPE=&quot;表单类型&quot;设定的不同而已,我们就先来看看第一个类型:文字输入列.文字输入列的类型就是TYPE=&quot;TEXT&quot;,其使用方法如下: 原始代码 &lt;FORM&gt;姓名:&lt;INPUT TYPE=&quot;TEXT&quot; NAME=&quot;NAME&quot; SIZE=&quot;20&quot;&gt;&lt;/FORM&gt; 显示结果 姓名:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRmxVz.html" rel="bookmark">Dreamweaver8&period;0创建表单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Dreamweaver中可以创建各种各样的表单,表单中可以包含各种对象,例如文本域.按钮.列表等. 1.插入表单 在网页中添加表单对象,首先必须创建表单.表单在浏览网页中属于不可见元素.在Dreamweaver8中插入一个表单.当页面处于&quot;设计&quot;视图中时,用红色的虚轮廓线指示表单.如果没有看到此轮廓线,请检查是否选中了&quot;查看&quot;&gt;&quot;可视化助理&quot;&gt;&quot;不可见元素&quot;. (1)将插入点放在希望表单出现的位置.选择&quot			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJLwMx.html" rel="bookmark" class="title">【玩转数据系列十六】机器学习PAI通过声音分辨男女（含语音特征提取相关数据和代码）</a>
					<div>
						背景 随着人工智能的算法发展,对于非结构化数据的处理能力越来越受到重视,这里面的关键一环就是语音数据的处理.目前,许多关于语音识别的应用案例已经影响着我们的生活,例如一些智能音箱中利用语音发送指令,一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO9y3M.html" rel="bookmark" class="title">个人网站要壮大就得有独特的模式&excl;</a>
					<div>
						个人网站要壮大就得有独特的模式.现在互联网上,很多人做网站就一个惯用模式:找套模板+改点图片+下个采集器+采集点文章. 好了,现在开始做seo或者请人帮忙看看优化了.说实话,在这些人的心里,做个网站太 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRVLGM.html" rel="bookmark" class="title">php 当前时间&colon; 用php实现将当前日期时间减去一个小时</a>
					<div>
						date_default_timezone_set('Asia/Shanghai');//此句用于消除时间差$nowtime=date(&quot;Y-m-d H:i:s&quot;);echo da ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2Lnrp.html" rel="bookmark" class="title">Access与Sql Server之ASP代码比较</a>
					<div>
						access|server|sql|比较 后台数据库: [Microsoft Access] 与 [Microsoft Sql Server] 更换之后,ASP代码应注意要修改的一些地方: [一]连接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8w14M.html" rel="bookmark" class="title">使用属性和反射过渡从数据存取层到业务物件 - II</a>
					<div>
						数据 简介 前面的文章我介绍了使用attributes来描述业务物件.这篇文章我将会展示如何从类中提取描述信息.为了解释它是如何工作的,我将通过前面在类中使用的attributes写个应用来创建sql ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrrlJp.html" rel="bookmark" class="title">把WinForms开发的桌面应用移植到Silverlight开发的RIA（第1部分）</a>
					<div>
						1,SerializableAttribute不存在 在Silverlight中,已经不包含SerializableAttribute,不过没有了这个标记 也不会影响序列化.去除这个特性标记的原因,是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6LBXz.html" rel="bookmark" class="title">Photoshop滤镜特效-染色布纹肌理</a>
					<div>
						电脑绘画快速精确,手工的粗糙感和材质纹理却给人一种亲切感.今天我们要学习的是用photoshop制作出自然材质感的染色布纹肌理. 我们首先来看看最终完成的效果. 新建一个1024×768的工作窗口,然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR0Onz.html" rel="bookmark" class="title">通向架构师的道路 第二十天 万能框架spring&lpar;二&rpar;maven结合spring与ibatis</a>
					<div>
						一.前言 上次讲了Struts结合Spring并使用Spring的JdbcTemplate来搭建工程框架后我们面临着jar库无法管理,工 程发布不方便,jar包在工程内太占空间,jar包冲突,管理,甚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy908b.html" rel="bookmark" class="title">防SQL注入：生成参数化的通用分页查询语句</a>
					<div>
						前些时间看了玉开兄的&quot;如此高效通用的分页存储过程是带有sql注入漏洞的&quot;这篇文章,才突然想起 某个项目也是使用了累似的通用分页存储过程.使用这种通用的存储过程进行分页查询,想要防S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo60njz.html" rel="bookmark" class="title">jBPM-side流程设计器功能规划</a>
					<div>
						目标:jBPM-side ProcessDesigner是一个独立的设计器,基于 Flex技术.其目的在于既使得程序开发人员能够基于其进行业务流程的建模,同时业务人员也能够基于其进行简单的建模和修改, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLo0ab.html" rel="bookmark" class="title">Qt学习之路&lpar;7&rpar;&colon;创建一个对话框&lpar;上&rpar;</a>
					<div>
						首先说明一点,在C++ GUI Programming with Qt4, 2nd中,这一章连同以后的若干章一起,完成了一个比较完整的程序--一个模仿Excel的电子表格.不过这个程序挺大的,而且书中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnAkkz.html" rel="bookmark" class="title">PowerPoint技巧大集合</a>
					<div>
						阅读本文之前,你可能已经使用了很长时间的Microsoft PowerPoint,你能够自己创建演示文稿并把它们有效地组织到一起,甚至还能帮助那些初学者.但PowerPoint还有一些不太为人所知的功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK63mp.html" rel="bookmark" class="title">给Excel快速调整最合适行高和列宽</a>
					<div>
						我们在整理Excel文档表格的时候,常常会碰到单元格中的文字过多造成内容显示不全,或者文字过少造成多余空白,这时候我们就需要将行高或者列宽调整到合适的尺寸.但如果全凭手动调整,确实也比较麻烦.有没有更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEZ5Nb.html" rel="bookmark" class="title">excel怎么利用vbe分解质因数&quest;</a>
					<div>
						  excel怎么利用vbe分解质因数?目的:用excel自定义函数来分解质因数. 1.例如,我们要把七乐彩的字典序分解质因数. 2.进入vbe编程环境. 3.插入模块. 4.编写程序,做一个名叫&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrLqkp.html" rel="bookmark" class="title">探讨VPS3&period;0&colon;用VPS挂VAGEX自动赚money</a>
					<div>
						由于实在太长所以估计很多会没有心思再看总结了,所以我把要说说在前头.自己不要修改其中的过程,一步一步照搬照抄即可.我也是勉强装好的,听说很能赚   开篇挂VAGEX是很费内存的事情建议用免费VPS的同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYKmoM.html" rel="bookmark" class="title">排版如何提高网页阅读舒适性小技巧</a>
					<div>
						  注重网页排版确实可以提高你的网页设计水平和网页阅读舒适性.下面,我列出了10个非常有用的排版技巧让你的网站看起来更好. 1.纠正行高 最常见的网页布局错误之一是定义了不正确的行高.行高是定义一行文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLO2Ob.html" rel="bookmark" class="title">U盘使用的九个重要方法</a>
					<div>
						  一.正确的插拔方式 在插拔U盘时用力过猛或上下摆动幅度过大是不正确的.插拔U盘时只允许左右少许摆动,不允许上下过度摆动.这是因为usb插接口扁而薄.上下摇动容易使机内线路板断裂,或者插头与线路板之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oxlDb.html" rel="bookmark" class="title">DOS下加载虚拟镜像</a>
					<div>
						  进入一键Ghost主菜单中,单击MS-DOS进入DOS,然后进入X盘(输入&quot;X:&quot;后按[Enter]),再运行&quot;DIR/W&quot;,这里保存了超级急救盘的所有工具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lLa5b.html" rel="bookmark" class="title">js 缩放图片</a>
					<div>
						使用JavaScript 如何缩放图片呢? 先看一下效果  点击&quot;缩放&quot;,效果如下:  页面代码: Html代码                               &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEQ6Xz.html" rel="bookmark" class="title">LXD 2&period;0 系列（五）：镜像管理</a>
					<div>
						因为 lxd 容器管理有很多命令,因此这篇文章会很长. 如果你想要快速地浏览这些相同的命令,你可以尝试下我们的在线演示! 容器镜像 如果你以前使用过 LXC,你可能还记得那些 LXC &quot;模板 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAyl6M.html" rel="bookmark" class="title">服务器-使用proxool连接池，cpu占用率很高</a>
					<div>
						问题描述 使用proxool连接池,cpu占用率很高 给别人用springmvc 做的一个网站,数据库用的proxool配的连接池,服务器用的tomcat.但是启动后cpu占用率一下就上去了,阿里云的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKKwgb.html" rel="bookmark" class="title">android-ProgressDialog 样式问题</a>
					<div>
						问题描述 ProgressDialog 样式问题 我想在 AsyncTask 方法中显示 ProgressDialog.代码如下: @Override protected void onPreExec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK41Az.html" rel="bookmark" class="title">17magneto中文论坛网址变更通告</a>
					<div>
						     原17magento.com 论坛现变更网址至 magentochina.org,希望大家继续支持我们,大家一起学习magento一起进步					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK6JZz.html" rel="bookmark" class="title">邢智明：铁路信息化的应用方向及项目</a>
					<div>
						本文讲的是邢智明:铁路信息化的应用方向及项目,随着铁路建设进入新一轮高潮,铁路数字化发展也迎来了前所未有的发展契机.信息技术是现代铁路的&quot;龙头&quot;技术,是铁路挖潜增效的关键.在现有铁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mydkn8b.html" rel="bookmark" class="title">JS操作iframe里的dom&lpar;实例讲解&rpar;&lowbar;javascript技巧</a>
					<div>
						直接赋值如下代码测试即可明白: 1.html: 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXDY5b.html" rel="bookmark" class="title">使用透传消息更改用户头像</a>
					<div>
						问题描述 如题,如何使用透传消息更改用户头像?有大神给段代码把 解决方案 透传消息能做什么:头像,昵称的更新等,可以把透传消息理解为一条指令,通过发送这条指令给对方,告诉对方要做的action,收到消 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLlKaM.html" rel="bookmark" class="title">c&num;-获取另一个程序中第一个textbox的值怎么做？</a>
					<div>
						问题描述 获取另一个程序中第一个textbox的值怎么做? 另一个程序(也是c#程序)叫abc.exe,我想获取他的其中一个textbox的值,怎么做呢?帮忙写段代码吧 解决方案 http://bbs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXeyZb.html" rel="bookmark" class="title">实现CSS3动画可视化编辑器</a>
					<div>
						问题描述 实现CSS3动画可视化编辑器 大家好,我是新手,我想问一下标题是什么意思,没有查到,还有要怎么去实现,可以给个思路吗 解决方案 CSS3的动画效果实现css3实现动画效果CSS3实现动画相册 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7PL2z.html" rel="bookmark" class="title">&amp;amp&semi;amp&semi;lt&semi;c&colon;forEach &amp;amp&semi;amp&semi;gt&semi;循环怎么固定循环数据</a>
					<div>
						问题描述 &lt;c:forEach&gt;循环怎么固定循环数据只要4条数据就好了为什么我加了end=&quot;4&quot;不可以啊 解决方案 解决方案二:&lt;c:forEachbegin=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVmEDz.html" rel="bookmark" class="title">一步一步学习PHP&lpar;7&rpar; php 字符串相关应用&lowbar;php基础</a>
					<div>
						1. 字符串的表现形式 在PHP中,字符串有三种表现形式:单引号,双引号,以及heredoc. PHP手册建议,在一般情况下,尽量使用单引号的字符串.如果需要转义变量,才使用双引号的字符串.如果需要多 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
